# Class LogQueryTool

java.lang.Object
org.mariadb.jdbc.internal.util.LogQueryTool

public class LogQueryTool extends Object

## Constructor Summary

Constructors
Constructor
Description
`LogQueryTool()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`queryWithParams(PrepareResult serverPrepareResult, ParameterHolder[] parameters, Options options)`
Return exception message with query.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LogQueryTool

public LogQueryTool()

## Method Details

### queryWithParams

public static String queryWithParams(PrepareResult serverPrepareResult, ParameterHolder[] parameters, Options options)
Return exception message with query.

Parameters:
  `serverPrepareResult` - prepare result
  `parameters` - query parameters
  `options` - options
Returns:
  exception message with query